NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Facet.FillMeshBuilder Class Reference

This function fills one or more holes in the selected facet bodies to make convergent bodies solid More...

Inheritance diagram for NXOpen.Facet.FillMeshBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  _FacetVertexData
 Contains facet vertex information.
 
struct  FacetVertexData
 Contains facet vertex information. More...
 

Public Types

enum  EdgeOptionMenu { All, UserSelected, ByNumberofEdges }
 Different ways to select an edge More...
 
enum  SmoothnessOptionMenu { Linear, Refined, TangentBased, CurvatureBased }
 Smoothness options More...
 
enum  Types {
  FillHole, CloseNotch, FillIsland, ConnectHoles,
  BridgeGap
}
 Different types of hole filling are available More...
 

Public Member Functions

unsafe void FlipRangeEnd ()
 Flips the end edge range More...
 
unsafe void FlipRangeStart ()
 Flips the start edge range More...
 
unsafe void SetBridgeGapEndEdgeVertex1 (NXOpen.Facet.FillMeshBuilder.FacetVertexData facetVertexData)
 Sets first end edge vertex to bridge the gap. More...
 
unsafe void SetBridgeGapEndEdgeVertex2 (NXOpen.Facet.FillMeshBuilder.FacetVertexData facetVertexData)
 Sets second end edge vertex to bridge the gap. More...
 
unsafe void SetBridgeGapStartEdgeVertex1 (NXOpen.Facet.FillMeshBuilder.FacetVertexData facetVertexData)
 Sets first start edge vertex to bridge the gap. More...
 
unsafe void SetBridgeGapStartEdgeVertex2 (NXOpen.Facet.FillMeshBuilder.FacetVertexData facetVertexData)
 Sets second start edge vertex to bridge the gap. More...
 
unsafe void SetCloseNotchVertex1 (NXOpen.Facet.FillMeshBuilder.FacetVertexData facetVertexData)
 Sets first vertex to close the notch. More...
 
unsafe void SetCloseNotchVertex2 (NXOpen.Facet.FillMeshBuilder.FacetVertexData facetVertexData)
 Sets second vertex to close the notch. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectNXObjectList EdgeHole [get]
 Returns the edge hole More...
 
unsafe
NXOpen.Facet.FillMeshBuilder.EdgeOptionMenu 
EdgeSelectionMethod [get, set]
 Returns or sets the edge selection method More...
 
unsafe bool EditCopy [get, set]
 Returns or sets the edit copy More...
 
unsafe NXOpen.Point EndEdgeVertex1 [get, set]
 Returns or sets the end edge vertex1 More...
 
unsafe NXOpen.Point EndEdgeVertex2 [get, set]
 Returns or sets the end edge vertex2 More...
 
unsafe NXOpen.SelectNXObjectList EndHole [get]
 Returns the end hole More...
 
unsafe NXOpen.SelectNXObjectList FacetBodies [get]
 Returns the facet body More...
 
unsafe NXOpen.SelectNXObjectList InnerHole [get]
 Returns the inner hole More...
 
unsafe int MaxEdges [get, set]
 Returns or sets the max edges More...
 
unsafe NXOpen.SelectNXObjectList OuterHole [get]
 Returns the outer hole More...
 
unsafe
NXOpen.Facet.FillMeshBuilder.SmoothnessOptionMenu 
SmoothnessOption [get, set]
 Returns or sets the smoothness option More...
 
unsafe NXOpen.Point StartEdgeVertex1 [get, set]
 Returns or sets the start edge vertex1 More...
 
unsafe NXOpen.Point StartEdgeVertex2 [get, set]
 Returns or sets the start edge vertex2 More...
 
unsafe NXOpen.SelectNXObjectList StartHole [get]
 Returns the start hole More...
 
unsafe
NXOpen.Facet.FillMeshBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.Point Vertex1 [get, set]
 Returns or sets the vertex1 More...
 
unsafe NXOpen.Point Vertex2 [get, set]
 Returns or sets the vertex2 More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This function fills one or more holes in the selected facet bodies to make convergent bodies solid

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateFillMeshBuilder

Default values.

Property Value

EdgeSelectionMethod

UserSelected

EditCopy

0

MaxEdges

0

SmoothnessOption

Linear

Created in NX1872.0.0

Member Enumeration Documentation

Different ways to select an edge

Enumerator
All 
UserSelected 
ByNumberofEdges 

Smoothness options

Enumerator
Linear 
Refined 
TangentBased 
CurvatureBased 

Different types of hole filling are available

Enumerator
FillHole 
CloseNotch 
FillIsland 
ConnectHoles 
BridgeGap 

Member Function Documentation

unsafe void NXOpen.Facet.FillMeshBuilder.FlipRangeEnd ( )
inline

Flips the end edge range

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Facet.FillMeshBuilder.FlipRangeStart ( )
inline

Flips the start edge range

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Facet.FillMeshBuilder.SetBridgeGapEndEdgeVertex1 ( NXOpen.Facet.FillMeshBuilder.FacetVertexData  facetVertexData)
inline

Sets first end edge vertex to bridge the gap.

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
facetVertexDatapicked facet vertex info
unsafe void NXOpen.Facet.FillMeshBuilder.SetBridgeGapEndEdgeVertex2 ( NXOpen.Facet.FillMeshBuilder.FacetVertexData  facetVertexData)
inline

Sets second end edge vertex to bridge the gap.

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
facetVertexDatapicked facet vertex info
unsafe void NXOpen.Facet.FillMeshBuilder.SetBridgeGapStartEdgeVertex1 ( NXOpen.Facet.FillMeshBuilder.FacetVertexData  facetVertexData)
inline

Sets first start edge vertex to bridge the gap.

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
facetVertexDatapicked facet vertex info
unsafe void NXOpen.Facet.FillMeshBuilder.SetBridgeGapStartEdgeVertex2 ( NXOpen.Facet.FillMeshBuilder.FacetVertexData  facetVertexData)
inline

Sets second start edge vertex to bridge the gap.

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
facetVertexDatapicked facet vertex info
unsafe void NXOpen.Facet.FillMeshBuilder.SetCloseNotchVertex1 ( NXOpen.Facet.FillMeshBuilder.FacetVertexData  facetVertexData)
inline

Sets first vertex to close the notch.

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
facetVertexDatapicked facet vertex info
unsafe void NXOpen.Facet.FillMeshBuilder.SetCloseNotchVertex2 ( NXOpen.Facet.FillMeshBuilder.FacetVertexData  facetVertexData)
inline

Sets second vertex to close the notch.

Created in NX1872.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
facetVertexDatapicked facet vertex info

Property Documentation

unsafe NXOpen.SelectNXObjectList NXOpen.Facet.FillMeshBuilder.EdgeHole
get

Returns the edge hole

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Facet.FillMeshBuilder.EdgeOptionMenu NXOpen.Facet.FillMeshBuilder.EdgeSelectionMethod
getset

Returns or sets the edge selection method

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.FillMeshBuilder.EditCopy
getset

Returns or sets the edit copy

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Facet.FillMeshBuilder.EndEdgeVertex1
getset

Returns or sets the end edge vertex1

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Facet.FillMeshBuilder.EndEdgeVertex2
getset

Returns or sets the end edge vertex2

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectNXObjectList NXOpen.Facet.FillMeshBuilder.EndHole
get

Returns the end hole

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Facet.FillMeshBuilder.FacetBodies
get

Returns the facet body

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Facet.FillMeshBuilder.InnerHole
get

Returns the inner hole

Created in NX1872.0.0

License requirements: None.

unsafe int NXOpen.Facet.FillMeshBuilder.MaxEdges
getset

Returns or sets the max edges

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectNXObjectList NXOpen.Facet.FillMeshBuilder.OuterHole
get

Returns the outer hole

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Facet.FillMeshBuilder.SmoothnessOptionMenu NXOpen.Facet.FillMeshBuilder.SmoothnessOption
getset

Returns or sets the smoothness option

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Facet.FillMeshBuilder.StartEdgeVertex1
getset

Returns or sets the start edge vertex1

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Facet.FillMeshBuilder.StartEdgeVertex2
getset

Returns or sets the start edge vertex2

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectNXObjectList NXOpen.Facet.FillMeshBuilder.StartHole
get

Returns the start hole

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Facet.FillMeshBuilder.Types NXOpen.Facet.FillMeshBuilder.Type
getset

Returns or sets the type

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Facet.FillMeshBuilder.Vertex1
getset

Returns or sets the vertex1

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Facet.FillMeshBuilder.Vertex2
getset

Returns or sets the vertex2

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.